<template>
  <b-container>
    <div>
      <b-card id="card">
        <b-card-header id="header">
          <b-card-title>ประกาศใหม่</b-card-title>
        </b-card-header>
        <p style="color: red">
          <font size="5">กรุณาอ่านข้อตกลงก่อนลงประกาศ</font>
        </p>
        <p>
          ชื่อตำแหน่ง และประเภทของงานต้องมีความสอดคล้องกัน
          เมื่อบันทึกข้อมูลเรียบร้อยแล้ว ทางเราขอเวลาในการตรวจสอบ
          ความน่าเชื่อถือของประกาศดังกล่าวเพื่อความถูกต้อง
          และปลอดภัยของคนใช้เว็บไซส์ของเรา
        </p>

        <b-card-body ref="b-form-group" @submit.stop.prevent="handleSubmit">
          <b-row class="my-1">
            <b-col sm="6">
              <b-form-group
                id="positionName"
                label="ตำแหน่ง: "
                label-align-sm="right"
                label-cols-sm="3"
                label-for="form-positionName"
              >
                <b-form-input
                  id="positionName"
                  size="md"
                  placeholder="ตำแหน่ง"
                  v-model="form.positionName"
                  required
                >
                </b-form-input>
              </b-form-group>
            </b-col>
            <b-col sm="6">
              <b-form-group
                id="workType"
                label="ประเภทงาน:"
                label-align-sm="right"
                label-cols-sm="3"
                label-for="่form-workType"
              >
                <b-form-select
                  id="workType"
                  v-model="workTypeSelected"
                  :options="optionsworkType"
                  value-field="value"
                  text-field="text"
                  required
                >
                </b-form-select>
              </b-form-group>
            </b-col>
          </b-row>

          <b-row class="my-1">
            <b-col sm="6">
              <b-form-group
                id="gender"
                label="เพศ: "
                label-for="form-gender"
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-select
                  v-model="genderSelected"
                  :options="genderoptions"
                  value-field="value"
                  text-field="text"
                  size="md"
                  id="gender"
                  required
                >
                </b-form-select>
              </b-form-group>
            </b-col>
            <b-col sm="6">
              <div style="display: flex">
                <b-form-group
                  id="age"
                  label="อายุ(ปี): "
                  label-align-sm="right"
                  label-cols-sm="6"
                  label-for="form-positionName"
                >
                  <b-form-input
                    id="dateStrat"
                    v-model="form.datestart"
                    style="margin-left: -6px"
                  >
                  </b-form-input>
                </b-form-group>
                ระหว่าง
                <b-form-input
                  id="dateClose"
                  type="text"
                  style="width: 130px; heigth: 20px; margin-left: 10px"
                ></b-form-input>
              </div>
            </b-col>
          </b-row>

          <b-row class="my-1">
            <b-col sm="6">
              <b-form-group
                id="rate"
                label="อัตรา: "
                label-for="form-rate"
                label-align-sm="right"
                label-cols-sm="3"
              >
                <b-form-input
                  id="rate"
                  size="md"
                  placeholder="อัตรา"
                  v-model="form.rate"
                  required
                >
                </b-form-input>
              </b-form-group>
            </b-col>

            <b-col sm="6">
              <b-form-group
                id="salary"
                label="เงินเดือน(บาท):"
                label-align-sm="right"
                label-cols-sm="3"
                label-for="form-salary"
              >
                <b-form-input
                  id="salary"
                  v-model="form.salary"
                  placeholder="เงินเดือน"
                  required
                ></b-form-input>
              </b-form-group>
            </b-col>
          </b-row>

          <div class="row">
            <b-col sm="10">
              <b-form-group
                id="timework"
                label="ระยะเวลา : "
                label-align-sm="lefth"
                label-cols-sm="2"
              >
                <div class="col" style="display: flex">
                  <b-form-radio
                    class="timeworkI"
                    id="datestart"
                    name="some-radios"
                    style="margin-right: 50px"
                    >กำหนดระยะเวลาการสมัคร</b-form-radio
                  >
                  <b-form-radio
                    class="timeworkII"
                    id="dateclose"
                    name="some-radios"
                    >ไม่กำหนดระยะเวลาการสมัคร</b-form-radio
                  >
                </div>
              </b-form-group>

              <div style="display: flex; margin-left: 150px">
                <b-form-select id="time" style="margin-right: 20px">
                </b-form-select>
                ถึง
                <b-form-select id="age" style="margin-left: 20px">
                </b-form-select>
              </div>
            </b-col>
          </div>

          <br />
          <b-row class="my-1">
            <b-col sm="2">
              <b-form-group
                id="detail"
                label="รายละเอียดงาน: "
                label-for="form.detail"
              >
              </b-form-group>
            </b-col>

            <b-col sm="2">
              <b-form-group>
                <textarea
                  name="text"
                  cols="121"
                  rows="5"
                  style="margin-left: -45px"
                ></textarea>
              </b-form-group>
            </b-col>
          </b-row>

          <b-row class="my-1">
            <b-col sm="2">
              <div id="property" style="display: flex; padding-top: 20px">
                <b-form-group
                  id="property"
                  label="คุณสมบัติ: "
                  label-for="form.property"
                >
                </b-form-group>
              </div>
            </b-col>
            <b-col sm="4">
              <div id="property" style="padding-top: 1px; margin-left: -52px">
                <label class="col-sm-2 col-form-label text-sm-right"> </label>
                <b-form-input
                  class="forminput"
                  type="text"
                  placeholder="คุณสมบัติ"
                  style="width: 895px; heigth: 20px; margin-left: 10px"
                ></b-form-input>
                <br />
                <b-form-input
                  class="forminput"
                  type="text"
                  placeholder="คุณสมบัติ"
                  style="width: 895px; heigth: 20px; margin-left: 10px"
                ></b-form-input>
                <br />
                <b-form-input
                  class="forminput"
                  type="text"
                  placeholder="คุณสมบัติ"
                  style="width: 895px; heigth: 20px; margin-left: 10px"
                ></b-form-input>
                <br />
                <b-form-input
                  class="forminput"
                  type="text"
                  placeholder="คุณสมบัติ"
                  style="width: 895px; heigth: 20px; margin-left: 10px"
                ></b-form-input>
                <br />
                <b-form-input
                  class="forminput"
                  type="text"
                  placeholder="คุณสมบัติ"
                  style="width: 895px; heigth: 20px; margin-left: 10px"
                ></b-form-input>
              </div>
              <!-- </b-form-group> -->
            </b-col>
          </b-row>

          <br />

          <b-row class="my-1">
            <b-col sm="2">
              <b-form-group
                id="note"
                label="หมายเหตุเพิ่มเติม: "
                label-for="form.note"
              >
              </b-form-group>
            </b-col>

            <b-col sm="10">
              <b-form-group>
                <textarea
                  name="text"
                  cols="121"
                  rows="5"
                  style="margin-left: -42px"
                ></textarea>
              </b-form-group>
            </b-col>
          </b-row>
          <b-card class="mt-3" header="Form Data Result">
      <pre class="m-0">{{ form }}</pre>
    </b-card>
          <div class="text-center mt-4" style="width: 1820px;">
            <button class="btn btn-danger" style="margin-right: 20px;" type="submit"  @ok="reset()">
              ยกเลิกข้อมูล</button
            >
            <button class="btn btn-success" type="submit" @click="addnewAddnotice">
              บันทึกข้อมูล
            </button>
          </div>
        </b-card-body>
      </b-card>
    </div>
  </b-container>
</template>
<script>
// import axios from 'axios'
// import declareService from '../Service/declarList.js'
export default {
  data () {
    return {
      declareList: [],
      // Addnotice: [],
      form: {
        positionName: '',
        workType: '',
        gender: 'null',
        age: '',
        rate: '',
        salary: '',
        timework: '',
        detail: '',
        property: '',
        Note: ''
      },
      workTypeSelected: 'P',
      optionsworkType: [
        { value: 'P', text: '--กรุณาเลือกประเภทงาน--' },
        { value: 'A', text: 'ธุรกิจการกระดาษ/เครื่องเขียน' },
        { value: 'B', text: 'ธุรกิจการเกษตร' },
        { value: 'C', text: 'ธุรกิจการพิมพ์/สิ่งพิมพ์' },
        { value: 'D', text: 'ธุรกิจเพื่อการศึกษา' },
        { value: 'E', text: 'ธุรกิจขนส่ง' },
        { value: 'F', text: 'ธุรกิจคอมพิวเตอร์/IT' }
      ],
      genderSelected: 'P',
      genderoptions: [
        { value: 'P', text: '--กรุณาเลือกเพศ--' },
        { value: 'M', text: 'ผู้ชาย' },
        { value: 'F', text: 'ผู้หญิง' }
      ],
      Addnotice: [],
      fields: ['positionName', 'workType', 'gender', 'age', 'rate', 'salary', 'timework', 'detail', 'property', 'Note']
    }
  },
  methods: {
    addnewAddnotice () {
      console.log('Add new')
      this.$bvModal.show('modal-form-Addnotice')
    },
    resetModal () {
      this.form = {
        positionName: '',
        workType: '',
        gender: 'null',
        age: '',
        rate: '',
        salary: '',
        timework: '',
        detail: '',
        property: '',
        Note: ''
      }
    },
    handleOk (bvModalEvt) {
      // Prevent modal from closing
      bvModalEvt.preventDefault()
      // Trigger submit handler
      this.handleSubmit()
    },
    handleSubmit () {
      // alert ("Form submitted!")
      if (
        this.statePositionName === false ||
        this.stateWorkType === false ||
        this.stateGender === false ||
        this.stateAge === false ||
        this.stateRate === false ||
        this.stateSalary === false ||
        this.stateTimework === false ||
        this.stateDetail === false ||
        this.stateProperty === false ||
        this.stateNote === false
      ) {
        return
      }
      this.adduser(this.declareList)

      this.$nextTick(() => {
        this.$bvModal.hide('modal-form-addnotice')
      })
    },
    adduser (declareList) {
      this.declareList.push(declareList)
    }
  }
}
</script>
<style>
.form form {
  width: 450px;
  margin-right: 30px;
}
#header {
  text-align: center;
  margin-top: -19px;
  width: 1110px;
  margin-left: -20px;
}
#card {
  margin-top: 40px;
}
#btnregister {
  width: 440px;
  margin-top: -280px;
}
/* #correct {
  margin-left: 200px;
} */
#no {
  margin-left: 800px;
}
#property {
  border-block-color: black 2px;
}
</style>
